| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
File Locking Constants

## Variables
const | Qore::F_RDLCK = F_RDLCK
| Use for read-only locking.
const | Qore::F_UNLCK = F_UNLCK
| Use for unlocking a lock.
const | Qore::F_WRLCK = F_WRLCK
| Use for exclusive write locking.

## Detailed Description

These are the possible values for the File::lock() or File::lockBlocking() methods.

Note
  These contants are set to 0 on platforms where HAVE_FILE_LOCKING is False (such as native Windows ports)